You cannot select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
linux-486/linux/patches/gen_initramfs.sh.patch

32 lines
766 B
Diff

--- usr/gen_initramfs.sh 2022-04-08 07:59:05.000000000 -0400
+++ usr/gen_initramfs.sh.new 2022-04-21 08:51:04.635080820 -0400
@@ -187,8 +187,8 @@
}
prog=$0
-root_uid=0
-root_gid=0
+root_uid="squash"
+root_gid="squash"
dep_list=
cpio_list=$(mktemp ${TMPDIR:-/tmp}/cpiolist.XXXXXX)
output="/dev/stdout"
@@ -209,13 +209,13 @@
shift
;;
"-u") # map $1 to uid=0 (root)
- root_uid="$1"
- [ "$root_uid" = "-1" ] && root_uid=$(id -u || echo 0)
+# root_uid="$1"
+# [ "$root_uid" = "-1" ] && root_uid=$(id -u || echo 0)
shift
;;
"-g") # map $1 to gid=0 (root)
- root_gid="$1"
- [ "$root_gid" = "-1" ] && root_gid=$(id -g || echo 0)
+# root_gid="$1"
+# [ "$root_gid" = "-1" ] && root_gid=$(id -g || echo 0)
shift
;;
"-h")